<!--
  @description: 发布招标公告查看/资审公告查看
  @Modifier: 肖文龙
  @routerPath:/bidding/bulletinPdfDetail
             /bidding/InformationBulletinPdfDetail
  @date: 2020/4/22
-->
<template>
  <div>
    <div class="title p0-16 clearfix">
      <div class="title-back pointer" @click="back">
        <i class="iconfont icon-fanhui mr10" />{{ bulletinTitle }}列表
      </div>
    </div>
    <div>
      <bulletinPdfDetail />
    </div>
  </div>
</template>

<script>
/* 混合开发-参数字段-*/
import { tenderBulletinInitGroupMixin } from './../mixins/tenderBulletinInitGroupMixin'// 字典信息
/* 组件*/
import bulletinPdfDetail from '../tenderBulletin/bulletinPdf-detail'
export default {
  name: 'TenderBulletinPdfDetail',
  components: {
    bulletinPdfDetail
  },
  mixins: [tenderBulletinInitGroupMixin],
  data() {
    return {
    }
  },
  watch: {
    $route() {
      this.initBulletinType()// 字典信息区分-招标公告/资审公告方法
    }
  },
  created() {
    this.initBulletinType()// 字典信息区分-招标公告/资审公告方法
  },
  methods: {
    // 返回
    back() {
      let path = ''
      if (this.$route.meta.bulletinType === '01') { // 招标公告
        path = '/bidding/tenderBulletinPublish'
      } else if (this.$route.meta.bulletinType === '21') { // 资审公告
        path = '/bidding/tenderInformationBulletinPublish'
      }
      this.$router.push(path)
    }
  }
}
</script>

<style scoped lang="less">

</style>
